package com.unipi.talepis;

import java.io.*;

public class DemoSerialize {
    public static void main(String[] args) {
        Student s1 = new Student();
        s1.name = "George";
        s1.age = 21;
        s1.email = "gaaaa@unipi.gr";
        s1.am = "P323456";
        s1.secret = "Hi";
        //mySerialize(s1,"res/s1.ser");
        Student s2 = myDeserialize("res/s1.ser");
        System.out.println(s2.name);
        System.out.println(s2.email);
        System.out.println(s2.secret);
    }
    static void mySerialize(Student s, String fileName){
        try {
            FileOutputStream f = new FileOutputStream(fileName);
            ObjectOutputStream o = new ObjectOutputStream(f);
            o.writeObject(s);
            o.close();
            f.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
    static Student myDeserialize(String fileName){
        Student s = null;
        try {
            FileInputStream f = new FileInputStream(fileName);
            ObjectInputStream o = new ObjectInputStream(f);
            s = (Student) o.readObject();
            o.close();
            f.close();
        } catch (IOException | ClassNotFoundException e) {
            e.printStackTrace();
        }
        return s;
    }
}
